For the complete documentation index, see llms.txt. This page is also available as Markdown.

Configurations

List configurations

get

Returns a list of configurations, optionally filtered by type.

Query parameters
typestringOptional

Filter by configuration type

Responses
200

Configurations

application/json
get/api/configurations
GET /api/configurations HTTP/1.1
Accept: */*
{
  "data": [
    {
      "content": {
        "key": "value"
      },
      "external_id": "config-001",
      "id": 1,
      "inserted_at": "2026-06-18T10:00:00Z",
      "type": "jwt",
      "updated_at": "2026-06-18T10:00:00Z"
    }
  ]
}

Create a configuration

post

Creates a new configuration resource.

Body
Responses
201

Created

application/json
post/api/configurations
POST /api/configurations HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 85

{
  "configuration": {
    "content": {
      "key": "value"
    },
    "external_id": "config-001",
    "type": "jwt"
  }
}
{
  "data": {
    "content": {
      "key": "value"
    },
    "dynamic_content": {
      "key": {
        "origin": "user",
        "value": "value"
      }
    },
    "external_id": "config-001",
    "id": 1,
    "inserted_at": "2026-06-18T10:00:00Z",
    "secrets_key": null,
    "type": "jwt",
    "updated_at": "2026-06-18T10:00:00Z"
  }
}

Sign a payload with a configuration

post

Signs a payload with a configuration.

Path parameters
configuration_external_idstringRequired

Configuration external ID

Body
Responses
201

Signed

application/json
tokenstringRequired

Signed JWT token

post/api/configurations/{configuration_external_id}/sign
POST /api/configurations/{configuration_external_id}/sign HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "payload": {
    "data": "to_sign"
  }
}
{
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}

Get a configuration by external ID

get

Fetches a single configuration using its external ID.

Path parameters
external_idstringRequired

Configuration external ID

Responses
200

Configuration

application/json
get/api/configurations/{external_id}
GET /api/configurations/{external_id} HTTP/1.1
Accept: */*
{
  "data": {
    "content": {
      "key": "value"
    },
    "dynamic_content": {
      "key": {
        "origin": "user",
        "value": "value"
      }
    },
    "external_id": "config-001",
    "id": 1,
    "inserted_at": "2026-06-18T10:00:00Z",
    "secrets_key": null,
    "type": "jwt",
    "updated_at": "2026-06-18T10:00:00Z"
  }
}

Update a configuration

put

Updates an existing configuration identified by its external ID.

Path parameters
external_idstringRequired

Configuration external ID

Body
Responses
200

Updated

application/json
put/api/configurations/{external_id}
PUT /api/configurations/{external_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "configuration": {
    "content": {
      "key": "value"
    },
    "type": "jwt"
  }
}
{
  "data": {
    "content": {
      "key": "value"
    },
    "dynamic_content": {
      "key": {
        "origin": "user",
        "value": "value"
      }
    },
    "external_id": "config-001",
    "id": 1,
    "inserted_at": "2026-06-18T10:00:00Z",
    "secrets_key": null,
    "type": "jwt",
    "updated_at": "2026-06-18T10:00:00Z"
  }
}

Delete a configuration

delete

Permanently deletes a configuration by its external ID.

Path parameters
external_idstringRequired

Configuration external ID

Responses
204

Configuration deleted

No content

delete/api/configurations/{external_id}
DELETE /api/configurations/{external_id} HTTP/1.1
Accept: */*

No content

Update a configuration

patch

Updates an existing configuration identified by its external ID.

Path parameters
external_idstringRequired

Configuration external ID

Body
Responses
200

Updated

application/json
patch/api/configurations/{external_id}
PATCH /api/configurations/{external_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "configuration": {
    "content": {
      "key": "value"
    },
    "type": "jwt"
  }
}
{
  "data": {
    "content": {
      "key": "value"
    },
    "dynamic_content": {
      "key": {
        "origin": "user",
        "value": "value"
      }
    },
    "external_id": "config-001",
    "id": 1,
    "inserted_at": "2026-06-18T10:00:00Z",
    "secrets_key": null,
    "type": "jwt",
    "updated_at": "2026-06-18T10:00:00Z"
  }
}

Last updated